Subject: Re: I believe this is an X server bug

From: "Meine, Hans" <[email-masked]>
Date: Mon, 25 Nov 2019 14:23:53 +0000

Hi Stefan,

thanks for following up. I must admit that after this long time, my setup has changed too much to try to reproduce the problem.

I agree that it looks like this issue can be closed.

Have a nice day
  Hans

-- 
Hans Meine • Fraunhofer MEVIS • Am Fallturm 1 • 28359 Bremen
Tel.: +49 421/218-59255  (Fax: +49 421/218-98 59255)

> Am 01.11.2019 um 19:29 schrieb Stefan Kangas <[email-masked]>:
> 
> Simon Tatham <[email-masked]> writes:
> 
>> Hi,
>> 
>> I found this bug report a few months ago when I was looking to see if
>> anyone had had the same problem as me. I too found that if VMware
>> Player had input focus when emacs started up, then emacs would never
>> recognise the Alt key.
>> 
>> Debugging with xtruss suggested that the reason for this was that
>> emacs queried the modifier map at startup, found it empty, and
>> thereafter listened for MappingNotify in order to know when to reload
>> the mod map but for some reason it never received any MappingNotify
>> events. (But it did receive the similar XkbMapNotify when vmware lost
>> or gained focus.)
>> 
>> That was on Ubuntu 10.04. The machine where I was seeing the problem
>> has recently been upgraded to 12.04, and now the problem has stopped
>> happening - on the same version of emacs. Debugging with xtruss shows
>> that now emacs _is_ receiving MappingNotify, suggesting that the X
>> server has changed its behaviour.
>> 
>> I suspect, in fact, that the following X.Org commit is the fix:
>> 
>>  http://cgit.freedesktop.org/xorg/xserver/commit/?id=3231962db826f5efd431596a309c96e907a191d1
>> 
>> which appeared in xorg-server 1.11, which would indeed be consistent
>> with me having this problem in Ubuntu 10.04 but not 12.04 (which use
>> xorg-server versions 1.7.6 and 1.11.4 respectively).
>> 
>> So if anyone else still has this problem, it might be worth letting
>> them know to check the version of their X server.
>> 
>> Hope this is helpful!
> 
> Thanks, that is helpful.  It seems like this is not a bug in Emacs then?
> Hans, can you confirm if using a newer version of xorg-server fixes the
> problem?
> 
> If I don't hear back from you within a couple of weeks, Ill just assume
> that this has been fixed and close this bug.
> 
> Best regards,
> Stefan Kangas